QGIS Application - Bug report #15658

map tips does not show images correctly anymore... on Linux

2016-10-04 01:08 AM - Adam Szieberth

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:2.18.11 Regression?:
Operating System: Ubuntu 16.04 (possibly others) Easy fix?:
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data:

Yes
No
not reproducable

Copied to github as #: 23581

Description

| faced with the same issue:

http://gis.stackexchange.com/questions/211117/map-tip-display-text-in-qgis-2-16-pictures-not-showing-up-anymore

Map tips are not showing images correctly; there are scrollbars instead.
My formula:
<h2> [% "filename" %] </h2>

<br>
<img src="[% "filepath" %]" width="400" />

Before (2.10.x) | saw the filename and the photo below correctly.

Related issues:
Duplicated by QGIS Application - Bug report # 16401: Maptips with images stop...

Duplicates QGIS Application - Bug report # 12141: Map Tips HTML: images added...

Closed 2017-03-31
Closed 2015-02-06

History

#1 - 2016-10-04 01:42 AM - Adam Szieberth

Enclosing content in divs worked as | posted in my answer on SE:

<div style="width:400;height:320">

<div style="height:20; margin: 0 auto;">

[% "filename" %]

</div>

<div style="height:300; margin: 0 auto;">

<img style="max-width:400px; max-height:300px;" src="[% "filepath" %]" />
</div>

</div>

However, | believe many have formatted they map tip html according to this answer (as did I):

http://gis.stackexchange.com/a/160131/44921

This issue is related to the plain and common practice mentioned by this SE answer.
http://gis.stackexchange.com/questions/211117/map-tip-display-text-in-qgis-2-16-pictures-not-showing-up-anymore
http://gis.stackexchange.com/a/160131/44921

#2 - 2017-04-30 09:59 AM - Alexander Bruy
- Duplicated by Bug report #16401: Maptips with images stopped to work in 2.18 added

#3 - 2017-04-30 10:00 AM - Alexander Bruy

- OS version deleted (XP)

- Description updated

- Priority changed from Normal to Severe/Regression
- Operating System deleted (Windows)

Raising priority as this is regression.

#4 - 2017-04-30 10:31 AM - Giovanni Manghi
- Affected QGIS version changed from 2.16.3 to 2.18.4

- Target version set to Version 2.18

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

#8 - 2017-05-12 04:11 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to not reproducable

work as expected on 2.18.7

#9 - 2017-06-09 11:56 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.4 to 2.18.9
- Status changed from Closed to Open

- Resolution deleted (not reproducable)

seems with local image is still broken and in 2.14 was ok.

#10 - 2017-06-09 12:38 PM - Alexander Bruy
- Status changed from Open to Closed

Seems now you need to specify image size and follow strict HTML rules, then it works.

#11 - 2017-07-19 01:24 PM - Pavel Diptan
- File Map_Tips_empty_dialog.png added
- File Attribute_table.png added

- File identify features_code.png added

- File identify features_working.png added
- File Map_Tips_code.png added

Alexander Bruy wrote:

Seems now you need to specify image size and follow strict HTML rules, then it works.

Can you provide an example of working HTML code? The one specified by Adam Szieberth doesn't work.

The HTML code that used to work for me pre 2.14.x:

[%CONCAT('<img src=","filepath”," width="640"></img>')%]

The new HTML code as recommended above doesn't work for me:

<div style="width:400;height:320">

<div style="height:20; margin: 0 auto;">

[% "filename" %]

</div>

<div style="height:300; margin: 0 auto;">

<img style="max-width:400px; max-height:300px;" src="[% "filepath" %]" />
</div>

</div>

Below are a bunch of images trying to explain my problem as clearly as possible and my system information. Does anyone know why Map tips don't work

(they are not working on a whole bunch of Linux machines, unable to test on Windows). Is there an error in the code | am using?

When using map tips, the filename of the image comes up, but the image itself is blank:

2025-04-27 3/8



Adb v10-A fEVENT sdEVENTSDh

Bed Elevation
The HTML code is as specified above:
\g\ General

%’ Style

€0 Labels

g5 Fields

g/ Rendering

r

0@ Actions

’ '* Joins

|n Diagrams
Metadata
Variables

Legend

/P/Projects_EVY/EVY
/P/Projects_EVY/EVY
/P/Projects_EVY/EVY
/P/Projects_EVY/EVY
s_EVY/EVY
et/P/Projects_EVY/EVY

/P/Projects_EVY/EVYI

Layer Properties - Photos_170719 | Display

Map tip display text

Insert expression...

Photos_170719 :: Features total: 28, filtered: 28, selected: 0

AR TES=®S 8§ BER = =

0576_Addenbrooks_SWMP/Photographs/IMG_20170626_140534_DRO.jpg
0576_Addenbrooks_SWMP/Photographs/IMG_20170626_162647_DRO.jpg
0576_Addenbrooks_SWMP/Photographs/IMG_20170626_140453_DRO.jpg
0576_Addenbrooks_SWMP/Photographs/IMG_20170626_135410_DRO.jpg
0576_Addenbrooks_SWMP/Photographs/IMG_20170626_140518_DRO.jpg
0576_Addenbrooks_SWMP/Photographs/IMG_20170626_140920_DRO.jpg

0576_Addenbrooks_SWMP/Photographs/IMG_20170626_140502_DRO.jpg

The weird thing is that identify features works:
Photos_170719 - Feature Attributes

SR TR T i

52.17293,0.13792, 0.0m, 328°
26 Jun 2017 16:26:44

When filepath is set to be 'Photo'":

Layer Properties - Photos 170719 | Fields Edit Widget Properties- filepath (Photos_170719)

\'\\ General terib [OEvDLE = -
¥ syle Fields

€A Labels R m/
||

‘/ Rendering . ) i )String  String

- Display 2 longitude ouble  Rea

Actions latitude
@

% Joins 4 altitude
IER piagrams

G‘ Metadata
Variables img_date QString  String

Legend

plder with relative path using

ahmadhanb

Relations.

My system:
Kernel: 4.4.0-83-generic x86_64 (64 bit)
Desktop: MATE 1.14.1 Distro: Linux Mint 18 Sarah
QGIS version 2.18.10
QGIS code revision 59e0f78
Compiled against Qt 4.8.7
Running against Qt 4.8.7
Compiled against GDAL/OGR 1.11.3
Running against GDAL/OGR 1.11.3
Compiled against GEOS 3.5.0-CAPI-1.9.0
Running against GEOS 3.5.1-CAPI-1.9.1 r4246
PostgreSQL Client Version 9.5.2
SpatiaL.ite Version 4.3.0a
QWT Version 5.2.3
PROJ.4 Version 492
QScintilla2 Version 2.9.1

#12 - 2017-07-19 07:16 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.9 to 2.18.10

- Subject changed from map tips does not show images correctly anymore to map tips does not show images correctly anymore... on Linux
- Status changed from Closed to Open

- Operating System set to Ubuntu 16.04 (possibly others)

The HTML code that used to work for me pre 2.14.x:

[]

The new HTML code as recommended above doesn't work for me:

[]

this snippets as also the one in the description... al works fine on Windows 2.14.16 or 2.18.10, they "just" don't work on Linux.

#13 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#14 - 2017-10-03 01:38 PM - Alexander Bruy

- Status changed from Open to Feedback

Works fine on all systems with strict HTML

<img src="file:///path/to/image.png" width=200 height=200/>

#15 - 2017-10-03 02:29 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
#16 - 2017-11-28 12:53 PM - Alexander Bruy

- Duplicates Bug report #12141: Map Tips HTML: images added with <img src> are only shown if source is a local file added

#17 - 2017-12-28 09:31 PM - Bernd Vogelgesang

Nice to finally find that this works when adding "file://" to the path.

But still it's a regression from the state before, when a simple path like it is generated e.g. from Photo2shape-plugin does not work anymore.

Neither intuitive nor to be expected.

Furthermore it's not documented anywhere, and after month of not being able to get some work done which would have relied on that function, | accidently

stumbled upon this bug report.

#18 - 2018-09-09 04:29 PM - Marco Bernasocchi

The most portable way to use this (assuming you have the images in the same folder as the project) currently (tested on 3.2 - ubuntu) is:

<img src="file://[% @project_home %]/[% "your_relative_picture_path" %]" />

Files

Attribute_table.png
identify_features_code.png
Map_Tips_code.png
Map_Tips_empty_dialog.png
identify_features_working.png

2025-04-27

100 KB
204 KB
61.5 KB
104 KB
565 KB

2017-07-19
2017-07-19
2017-07-19
2017-07-19
2017-07-19

Pavel Diptan
Pavel Diptan
Pavel Diptan
Pavel Diptan
Pavel Diptan
